## org.eclipse.uml2.codegen.ecore.genmodel.util
Class GenModelAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.uml2.codegen.ecore.genmodel.util.GenModelAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

Direct Known Subclasses:
  GenModelItemProviderAdapterFactory

    public class GenModelAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `GenModelPackage`

Field Summary
`protected static GenModelPackage` `modelPackage` The cached model package
`protected GenModelSwitch<org.eclipse.emf.common.notify.Adapter>` `modelSwitch` The switch that delegates to the `createXXX` methods

Constructor Summary
`GenModelAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`org.eclipse.emf.common.notify.Adapter` `createGenBaseAdapter()` Creates a new adapter for an object of class '`Gen Base`'
`org.eclipse.emf.common.notify.Adapter` `createGenClassAdapter()` Creates a new adapter for an object of class '`Gen Class`'
`org.eclipse.emf.common.notify.Adapter` `createGenClassifierAdapter()` Creates a new adapter for an object of class '`Gen Classifier`'
`org.eclipse.emf.common.notify.Adapter` `createGenDataTypeAdapter()` Creates a new adapter for an object of class '`Gen Data Type`'
`org.eclipse.emf.common.notify.Adapter` `createGenEnumAdapter()` Creates a new adapter for an object of class '`Gen Enum`'
`org.eclipse.emf.common.notify.Adapter` `createGenEnumLiteralAdapter()` Creates a new adapter for an object of class '`Gen Enum Literal`'
`org.eclipse.emf.common.notify.Adapter` `createGenFeatureAdapter()` Creates a new adapter for an object of class '`Gen Feature`'
`org.eclipse.emf.common.notify.Adapter` `createGenModel_GenBaseAdapter()` Creates a new adapter for an object of class '`Gen Base`'
`org.eclipse.emf.common.notify.Adapter` `createGenModel_GenClassAdapter()` Creates a new adapter for an object of class '`Gen Class`'
`org.eclipse.emf.common.notify.Adapter` `createGenModel_GenClassifierAdapter()` Creates a new adapter for an object of class '`Gen Classifier`'
`org.eclipse.emf.common.notify.Adapter` `createGenModel_GenDataTypeAdapter()` Creates a new adapter for an object of class '`Gen Data Type`'
`org.eclipse.emf.common.notify.Adapter` `createGenModel_GenEnumAdapter()` Creates a new adapter for an object of class '`Gen Enum`'
`org.eclipse.emf.common.notify.Adapter` `createGenModel_GenEnumLiteralAdapter()` Creates a new adapter for an object of class '`Gen Enum Literal`'
`org.eclipse.emf.common.notify.Adapter` `createGenModel_GenFeatureAdapter()` Creates a new adapter for an object of class '`Gen Feature`'
`org.eclipse.emf.common.notify.Adapter` `createGenModel_GenModelAdapter()` Creates a new adapter for an object of class '`Gen Model`'
`org.eclipse.emf.common.notify.Adapter` `createGenModel_GenOperationAdapter()` Creates a new adapter for an object of class '`Gen Operation`'
`org.eclipse.emf.common.notify.Adapter` `createGenModel_GenPackageAdapter()` Creates a new adapter for an object of class '`Gen Package`'
`org.eclipse.emf.common.notify.Adapter` `createGenModel_GenParameterAdapter()` Creates a new adapter for an object of class '`Gen Parameter`'
`org.eclipse.emf.common.notify.Adapter` `createGenModel_GenTypedElementAdapter()` Creates a new adapter for an object of class '`Gen Typed Element`'
`org.eclipse.emf.common.notify.Adapter` `createGenModelAdapter()` Creates a new adapter for an object of class '`Gen Model`'
`org.eclipse.emf.common.notify.Adapter` `createGenOperationAdapter()` Creates a new adapter for an object of class '`Gen Operation`'
`org.eclipse.emf.common.notify.Adapter` `createGenPackageAdapter()` Creates a new adapter for an object of class '`Gen Package`'
`org.eclipse.emf.common.notify.Adapter` `createGenParameterAdapter()` Creates a new adapter for an object of class '`Gen Parameter`'
`org.eclipse.emf.common.notify.Adapter` `createGenTypedElementAdapter()` Creates a new adapter for an object of class '`Gen Typed Element`'
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static GenModelPackage modelPackage

  The cached model package.

### modelSwitch

    protected GenModelSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

Constructor Detail

### GenModelAdapterFactory

    public GenModelAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createGenBaseAdapter

    public org.eclipse.emf.common.notify.Adapter createGenBaseAdapter()

  Creates a new adapter for an object of class '`Gen Base`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenBase`

### createGenClassAdapter

    public org.eclipse.emf.common.notify.Adapter createGenClassAdapter()

  Creates a new adapter for an object of class '`Gen Class`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenClass`

### createGenClassifierAdapter

    public org.eclipse.emf.common.notify.Adapter createGenClassifierAdapter()

  Creates a new adapter for an object of class '`Gen Classifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenClassifier`

### createGenDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createGenDataTypeAdapter()

  Creates a new adapter for an object of class '`Gen Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenDataType`

### createGenEnumAdapter

    public org.eclipse.emf.common.notify.Adapter createGenEnumAdapter()

  Creates a new adapter for an object of class '`Gen Enum`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenEnum`

### createGenEnumLiteralAdapter

    public org.eclipse.emf.common.notify.Adapter createGenEnumLiteralAdapter()

  Creates a new adapter for an object of class '`Gen Enum Literal`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenEnumLiteral`

### createGenFeatureAdapter

    public org.eclipse.emf.common.notify.Adapter createGenFeatureAdapter()

  Creates a new adapter for an object of class '`Gen Feature`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenFeature`

### createGenModelAdapter

    public org.eclipse.emf.common.notify.Adapter createGenModelAdapter()

  Creates a new adapter for an object of class '`Gen Model`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenModel`

### createGenOperationAdapter

    public org.eclipse.emf.common.notify.Adapter createGenOperationAdapter()

  Creates a new adapter for an object of class '`Gen Operation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenOperation`

### createGenPackageAdapter

    public org.eclipse.emf.common.notify.Adapter createGenPackageAdapter()

  Creates a new adapter for an object of class '`Gen Package`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenPackage`

### createGenParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createGenParameterAdapter()

  Creates a new adapter for an object of class '`Gen Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenParameter`

### createGenTypedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createGenTypedElementAdapter()

  Creates a new adapter for an object of class '`Gen Typed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenTypedElement`

### createGenModel_GenBaseAdapter

    public org.eclipse.emf.common.notify.Adapter createGenModel_GenBaseAdapter()

  Creates a new adapter for an object of class '`Gen Base`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenBase`

### createGenModel_GenClassifierAdapter

    public org.eclipse.emf.common.notify.Adapter createGenModel_GenClassifierAdapter()

  Creates a new adapter for an object of class '`Gen Classifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenClassifier`

### createGenModel_GenClassAdapter

    public org.eclipse.emf.common.notify.Adapter createGenModel_GenClassAdapter()

  Creates a new adapter for an object of class '`Gen Class`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenClass`

### createGenModel_GenDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createGenModel_GenDataTypeAdapter()

  Creates a new adapter for an object of class '`Gen Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenDataType`

### createGenModel_GenEnumAdapter

    public org.eclipse.emf.common.notify.Adapter createGenModel_GenEnumAdapter()

  Creates a new adapter for an object of class '`Gen Enum`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenEnum`

### createGenModel_GenEnumLiteralAdapter

    public org.eclipse.emf.common.notify.Adapter createGenModel_GenEnumLiteralAdapter()

  Creates a new adapter for an object of class '`Gen Enum Literal`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenEnumLiteral`

### createGenModel_GenTypedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createGenModel_GenTypedElementAdapter()

  Creates a new adapter for an object of class '`Gen Typed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenTypedElement`

### createGenModel_GenFeatureAdapter

    public org.eclipse.emf.common.notify.Adapter createGenModel_GenFeatureAdapter()

  Creates a new adapter for an object of class '`Gen Feature`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenFeature`

### createGenModel_GenModelAdapter

    public org.eclipse.emf.common.notify.Adapter createGenModel_GenModelAdapter()

  Creates a new adapter for an object of class '`Gen Model`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenModel`

### createGenModel_GenOperationAdapter

    public org.eclipse.emf.common.notify.Adapter createGenModel_GenOperationAdapter()

  Creates a new adapter for an object of class '`Gen Operation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenOperation`

### createGenModel_GenPackageAdapter

    public org.eclipse.emf.common.notify.Adapter createGenModel_GenPackageAdapter()

  Creates a new adapter for an object of class '`Gen Package`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenPackage`

### createGenModel_GenParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createGenModel_GenParameterAdapter()

  Creates a new adapter for an object of class '`Gen Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenParameter`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.